package beilv.carinformation.mapper;

import beilv.carinformation.domain.CarInformation;

import java.math.BigDecimal;
import java.util.List;

/**
 * 卡种信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-02
 */
public interface CarInformationMapper {
    /**
     * 查询卡种信息
     *
     * @param id 卡种信息主键
     * @return 卡种信息
     */
    public CarInformation selectCarInformationById(Long id);

    /**
     * 查询卡种信息列表
     *
     * @param carInformation 卡种信息
     * @return 卡种信息集合
     */
    public List<CarInformation> selectCarInformationList(CarInformation carInformation);

    /**
     * 新增卡种信息
     *
     * @param carInformation 卡种信息
     * @return 结果
     */
    public int insertCarInformation(CarInformation carInformation);

    /**
     * 修改卡种信息
     *
     * @param carInformation 卡种信息
     * @return 结果
     */
    public int updateCarInformation(CarInformation carInformation);

    /**
     * 删除卡种信息
     *
     * @param id 卡种信息主键
     * @return 结果
     */
    public int deleteCarInformationById(Long id);

    /**
     * 批量删除卡种信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCarInformationByIds(String[] ids);

    BigDecimal selectScoreByCard(String paymentId);
}
